"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAutoDispose = void 0;
var react_1 = require("react");
function useAutoDispose(create) {
    var controllerRef = (0, react_1.useRef)(create());
    (0, react_1.useEffect)(function () {
        var controller = controllerRef.current;
        return function () {
            controller.dispose();
        };
    }, []);
    return controllerRef.current;
}
exports.useAutoDispose = useAutoDispose;
//# sourceMappingURL=useAutoDispose.js.map