"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useBuilder = void 0;
var tslib_1 = require("tslib");
var react_1 = require("react");
var Controller_1 = tslib_1.__importDefault(require("./Controller"));
var useController_1 = require("./useController");
var useListener_1 = require("./useListener");
function useBuilder(source, buildWhen) {
    var controller = (0, useController_1.useControllerInternal)(source);
    var _a = (0, react_1.useState)(function () { return controller.state; }), state = _a[0], setState = _a[1];
    (0, useListener_1.useListener)(controller, function (newState) { return setState(newState); }, function (prev, curr) { var _a; return (_a = buildWhen === null || buildWhen === void 0 ? void 0 : buildWhen(prev, curr)) !== null && _a !== void 0 ? _a : true; });
    if (source instanceof Controller_1.default) {
        return state;
    }
    return [state, controller];
}
exports.useBuilder = useBuilder;
//# sourceMappingURL=useBuilder.js.map