import { useState } from 'react';
import Controller from './Controller';
import { useControllerInternal } from './useController';
import { useListener } from './useListener';
function useBuilder(source, buildWhen) {
    var controller = useControllerInternal(source);
    var _a = useState(function () { return controller.state; }), state = _a[0], setState = _a[1];
    useListener(controller, function (newState) { return setState(newState); }, function (prev, curr) { var _a; return (_a = buildWhen === null || buildWhen === void 0 ? void 0 : buildWhen(prev, curr)) !== null && _a !== void 0 ? _a : true; });
    if (source instanceof Controller) {
        return state;
    }
    return [state, controller];
}
export { useBuilder };
//# sourceMappingURL=useBuilder.js.map