import Controller from './Controller';
import { ControllerContext } from './types';
declare function useSelector<C extends Controller<S>, S, T>(context: ControllerContext<C, S>, stateSelector: (state: S) => T): [T, C];
declare function useSelector<C extends Controller<S>, S, T>(controller: C, stateSelector: (state: S) => T): T;
export { useSelector };
